commit:     c1714560bde96dda3d2487c44a6ab11c85122cbe
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Sun Mar 10 17:26:18 2024 +0000
Commit:     orbea <orbea <AT> riseup <DOT> net>
CommitDate: Sun Mar 10 18:41:30 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/libressl.git/commit/?id=c1714560

dev-libs/libressl: add 3.9.0

Signed-off-by: orbea <orbea <AT> riseup.net>

 dev-libs/libressl/Manifest              |  2 +
 dev-libs/libressl/libressl-3.9.0.ebuild | 69 +++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-libs/libressl/Manifest b/dev-libs/libressl/Manifest
index c74b8ab..5563eb7 100644
--- a/dev-libs/libressl/Manifest
+++ b/dev-libs/libressl/Manifest
@@ -6,3 +6,5 @@ DIST libressl-3.8.2.tar.gz 4473978 BLAKE2B 
d6787c3077c8f8d8a5819750fe6cb9bee396e
 DIST libressl-3.8.2.tar.gz.asc 833 BLAKE2B 
d3b848e59d6385028541f3389c35abd88ae823590a84159b605f9960aef8417613eef53030cea3da97788880b97647aeb218812d0aae3b6295e52e6aff7b97e0
 SHA512 
cb96c8c051690d56a1aff51d0db955965e508bf5a89fb0a061ec05b711feb2e2bf73e7fe43873e536d25457a43c3a197b4025456ec93f4c2393eb8ee5bce2e44
 DIST libressl-3.8.3.tar.gz 4475058 BLAKE2B 
f29ca56e6a717c09efd2510c97ef38a4f037b38352c3b02badad9db841c636628cbebdd9a1f69e9138fee038764326559939b0221bf335aaf03b415f4fe92d66
 SHA512 
b8107fc809d5a095a49cebe3192a9b609441dfaa86c7bee472c34c177854d1d8ca983eb071828593f98e0c161f75176dabeefe6067ba417b2ecbaea5aa20645f
 DIST libressl-3.8.3.tar.gz.asc 833 BLAKE2B 
752c161854cbeeb3ff3e6d921728f723d4ae1dd391cf41a266fee3bb1575664b2608481db26706fb239469888ae0885194cfa727c59c4c0339d3962155594aa9
 SHA512 
a2a9e5e0cf6387674c7af9ca07531eee294e3c1c90862082af6d7aafc1953b1bb8ff79172ac2c6e2b9113c462622a7e4feb2a28824721288cb30d9b6ab21fa8a
+DIST libressl-3.9.0.tar.gz 4360845 BLAKE2B 
25ae0c4b8cad0fdfcc25d128cad1a8f9c45c9624c07a3d89cd134eeaa30c2359660ed0b31931fb6c0e70c1b6751a4c944189b9f836dea687b5b7875da54014d4
 SHA512 
66c595ff2f72310ff5bbea8f733c84067b7fea90612bcead3588f98da409d36fa0f9fbc3b59d1e91037714464b2288d3196e7ac80efe87268af961276e9aa3aa
+DIST libressl-3.9.0.tar.gz.asc 833 BLAKE2B 
077409f154ed81a07a48cc9269dd5206c9f7fffa57f5a0f504dee7aa758de33f492846ac217a5e63d4177498df1bde5061279cae5643b7d08e43667e97485ac8
 SHA512 
be810ed9f463b039ad9b2f425e9769a707bcce40c7d38379da1cc099be5ea70091dfaf358b5ae5b17a0da7ab9b43eed5dd274a7b8af0ceb40f73ea4240289491

diff --git a/dev-libs/libressl/libressl-3.9.0.ebuild 
b/dev-libs/libressl/libressl-3.9.0.ebuild
new file mode 100644
index 0000000..08cd5bc
--- /dev/null
+++ b/dev-libs/libressl/libressl-3.9.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/libressl.asc
+inherit autotools multilib-minimal verify-sig
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="https://www.libressl.org/";
+SRC_URI="
+       https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz
+       verify-sig? ( 
https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz.asc )
+"
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so. Since these can differ,
+# we'll try to use the max of either. However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/56"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~s390 
~sparc ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="+asm netcat static-libs test"
+RESTRICT="!test? ( test )"
+
+PDEPEND="app-misc/ca-certificates"
+BDEPEND="verify-sig? ( sec-keys/openpgp-keys-libressl )"
+RDEPEND="netcat? (
+       !net-analyzer/netcat
+       !net-analyzer/nmap[symlink]
+       !net-analyzer/openbsd-netcat
+)"
+
+MULTILIB_WRAPPED_HEADERS=( /usr/include/openssl/opensslconf.h )
+
+# LibreSSL checks for libc features during configure
+QA_CONFIG_IMPL_DECL_SKIP=(
+       __va_copy
+       b64_ntop
+)
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.8.3-solaris10.patch
+       # Gentoo's ssl-cert.eclass uses 'openssl genrsa -rand'
+       # which LibreSSL doesn't support.
+       # https://github.com/libressl/portable/issues/839
+       "${FILESDIR}"/${PN}-3.7.2-genrsa-rand.patch
+)
+
+src_prepare() {
+       default
+
+       eautoreconf
+}
+
+multilib_src_configure() {
+       local ECONF_SOURCE="${S}"
+       local args=(
+               $(use_enable asm)
+               $(use_enable static-libs static)
+               $(use_enable netcat nc)
+               $(use_enable test tests)
+       )
+       econf "${args[@]}"
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       find "${D}" -name '*.la' -exec rm -f {} + || die
+}

Reply via email to